Package org.spongepowered.asm.util

## Class Counter

- java.lang.Object
- - org.spongepowered.asm.util.Counter

    public final class Counter
    extends java.lang.Object

Mutable integer for use in collections

### Field Summary

Fields
`int` `value` Mutable int value

### Constructor Summary

Constructors
`Counter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### value

    public int value

Mutable int value

### Constructor Detail

#### Counter

    public Counter()

### Method Detail

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`